Subject: Re: bug#77492: AppStream metadata updates

From: Peter Oliver <[email-masked]>
Date: Mon, 21 Apr 2025 12:09:00 +0100 (BST)

On Sat, 19 Apr 2025, Stefan Monnier wrote:

> I find this quite funny, but I'm genuinely curious how `M-x doctor`
> ended up with
>
>    <content_attribute id="violence-sexual">intense</content_attribute>

The ratings seem to be quite vague, and minimal guidance is provided.

I figured it was better to suggest a pessimistic interpretation of the rules as the starting point for doctor.el.  If it will hold a “conversation” with you about rape, perhaps that is a depiction of rape.  OTOH, if you’re the one supplying the depiction, perhaps it is not.  I have no objection if we prefer to drop the doctor.el-related ratings.

Still, I guess there’s a question about whether this stuff still belongs in Emacs.  The contents of etc/JOKES appears to pre-date the existence of the world wide web; I don’t think we’d consider adding anything like this today.  As for doctor.el, ELPA might be a better home.

-- 
Peter Oliver